petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFactorGetMatrix

Gets the factored matrix from the preconditioner context. This routine is valid only for the LU, incomplete LU, Cholesky, and incomplete Cholesky methods.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCFactorGetMatrix(PC pc,Mat *mat)

Not Collective on PC though Mat is parallel if PC is parallel

### Input Parameters

pc -the preconditioner context

### Output parameters

mat -the factored matrix

### Notes

Does not increase the reference count for the matrix so DO NOT destroy it

### Keywords

PC, get, factored, matrix

### Level

advanced

### Location

src/ksp/pc/interface/precon.c

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex52f.F90.html

### Implementations

PCFactorGetMatrix_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages